POST
modeldata/{modelID}/history
Returns history of all changes for a given model.
Resource Information
| Method and URI | POST https://developer.api.autodesk.com/tandem/v1/modeldata/{modelID}/history |
| Authentication Context | user context optional |
| Required OAuth Scopes | data:read |
| Data Format | JSON |
Request
Headers
| Authorization* string | Must be Bearer <token>, where <token> is a two-legged access token obtained via a Client Credentials Grant flow, or a three-legged access token obtained via Authorization Code flow, Authorization Code flow with PKCE, or Secure Service Account flow (for headless scenarios). |
| Content-Type* string | Must be application/json |
* Required
Request
URI Parameters
| modelID string | Model URN |
Request
Body Structure
History query
| includeChanges boolean | If true, change details are included in the response. |
| limit int | Maximum number of records to return. |
| max int | Maximum timestamp to query. The value is specified in milliseconds since epoch. |
| min int | Minimum timestamp to query. The value is specified in milliseconds since epoch. |
| timestamps array: integer | List of timestamps to query. The values are specified in milliseconds since epoch. |
| typeFilter string | Additional filter on change type. |
| useFullKeys boolean | If true, use full keys in the response. |
Response
HTTP Status Code Summary
| 200 OK | OK |
| 400 Bad Request | The service was unable to process the request. The syntax of the request may be malformed or the request may be missing a required header. Do not resend the request without fixing the issue. The response body may indicate what is wrong with the request. |
| 403 Forbidden | The request was successfully validated but it did not have the required permissions. |
Response
Body Structure (200)
Expand all
| O enum:string | Change type
Possible values: bulk_import, bulk_update, bulk_fail, mutate, apply_pset, update_classification, state_change, acl_update |
| added array: string | Added keys |
| c string | Client ID |
| d string | Change description |
| deleted array: string | |
| details object | Additional metadata, related to the change |
| * | |
| k array: string | Affected keys |
| n string | User’s name |
| t int | Timestamp in milliseconds since the Unix Epoch |